/ comp / gb.opengl / gl / clearcolor
Gl.ClearColor (gb.opengl)
Syntax

    STATIC SUB ClearColor ( Red AS Float, Green AS Float, Blue AS Float, Alpha AS Float )

### Specify clear values for the color buffers

#### Parmeters

- Red, Green, Blue, Alpha specify the red, green, blue, and alpha values used when the color buffers are cleared. The default values are all zero.

#### Description

Gl.ClearColor specifies the red, green, blue, and alpha values used by Gl.Clear to clear the color buffers. Values specified by Gl.ClearColor are clamped to the range [0, 1].

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.ClearColor is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetColorClearValue

### See also

Gl.Clear